Skip to main content

Overview

Overseas invoices, receipts, and purchase orders use the document extraction API.
POST /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract
Async tasks use the same request body:
POST /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/create/task
GET /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/query/task/{task_id}

Request parameters

NameTypeRequiredDescription
tenant_namestringYesTenant name. Default: laiye.
app_idstringYesUnique ID of the preset application. View it in View API.
file_base64stringOptionalBase64 content of the file. Use either file_base64 or file_url.
file_urlstringOptionalOnline file URL. Use either file_url or file_base64. Only HTTP URLs are supported.
with_rec_resultbooleanNoWhether to return document recognition results. Default: false.

Overseas invoice fields

FieldType
Invoice NumberText
Invoice DateDate
Supplier NameText
Supplier VAT NumberText
Customer NameText
Customer VAT NumberText
CurrencyText
Total Without TaxText
VAT RateText
Total Amount (Inc. Tax)Text
Amount DueText
Line ItemsTable
Item CodeTable subfield
DescriptionTable subfield
QuantityTable subfield
Unit PriceTable subfield
Total AmountTable subfield

Receipt fields

FieldType
Receipt NumberText
Receipt DateDate
Supplier NameText
Supplier VAT NumberText
Customer NameText
Customer VAT NumberText
CurrencyText
Total Without TaxText
VAT RateText
Total Amount (Inc. Tax)Text
Amount DueText
Line ItemsTable
Item CodeTable subfield
DescriptionTable subfield
QuantityTable subfield
Unit PriceTable subfield
Total AmountTable subfield

Purchase order fields

FieldType
PO NumberText
Order DateDate
Seller NameText
Buyer NameText
Buyer AddressText
Delivery AddressText
Receiver NameText
CurrencyText
Total AmountText
Line ItemsTable
Material CodeTable subfield
Tax RateTable subfield
DescriptionTable subfield
QuantityTable subfield
Unit Price (Inc. Tax)Table subfield
Total Amount (Inc. Tax)Table subfield
Delivery DateTable subfield